<script>
    import { goto } from '$app/navigation';
    import { writable } from 'svelte/store';
    import { champions, families } from '$lib/tftData';

    let name = '';
    let description = '';
    let familyId = '';
    let imageUrl = '';
  
    // Fonction pour gérer la soumission du formulaire
    async function handleSubmit() {
        let allChampions = JSON.parse(localStorage.getItem('champions') || '[]');

        const existingChampion = allChampions.find(champion => champion.name.toLowerCase() === name.toLowerCase());
        if (existingChampion) {
            alert('Un champion avec ce nom existe déjà.');
            return;
        }

        const newChampion = { name, description, image: imageUrl, familyId };
        allChampions.push(newChampion);

        // Sauvegarde la liste mise à jour dans localStorage
        localStorage.setItem('champions', JSON.stringify(allChampions));

        alert('Champion ajouté avec succès !');
        goto(`/champions/${name}`);
        // Reset form fields
        name = '';
        description = '';
        familyId = '';
        imageUrl = '';
    }
  </script>
  
  <form class="ms-3" on:submit|preventDefault={handleSubmit}>
    <div class="mb-3">
      <label for="name" class="form-label">Nom du Champion</label>
      <input type="text" class="form-control" id="name" bind:value={name} required>
    </div>
    <div class="mb-3">
      <label for="description" class="form-label">Description</label>
      <textarea class="form-control" id="description" bind:value={description} required></textarea>
    </div>
    <div class="mb-3">
        <label for="family" class="form-label">Famille</label>
        <select class="form-control" id="family" bind:value={familyId} required>
            <option value="">Sélectionner une famille</option>
            {#each families as family}
                <option value="{family.id}">{family.name}</option>
            {/each}
        </select>
    </div>
    <div class="mb-3">
        <label for="imageUrl" class="form-label">URL de l'Image</label>
        <input type="url" class="form-control" id="imageUrl" bind:value={imageUrl} required>
    </div>
      
    <button type="submit" class="btn btn-primary">Ajouter le Champion</button>
  </form>
  